PHP Manual
Prev |  | Next

# mysqli_free_result

(PHP 5)

mysqli_free_result

(no version information, might be only in CVS)

result->free -- Frees the memory associated with a result

## Description

Procedural style:

void mysqli_free_result ( mysqli_result result )

Object oriented style (all methods are equivalent):

class mysqli_result {
void free ( void )
void close ( void )
void free_result ( void )
}

The mysqli_free_result() function frees the memory associated with the result represented by the result parameter, which was allocated by mysqli_query(), mysqli_store_result() or mysqli_use_result().

> Note: You should always free your result with mysqli_free_result(), when your result object is not needed anymore.

## Return Values

This function doesn't return any value.

## See Also

mysqli_query(), mysqli_stmt_store_result(), mysqli_store_result() and mysqli_use_result().

Prev | Home | Next
mysqli_field_tell | Up | mysqli_get_client_info